<template>
    <!-- #################  S-MU-05 ##################33 -->
    <div class="frame-content">
        <a href="" @click.prevent="$emit('remove')">
            <i class=" ti-trash trash-content"></i>
        </a>
        <span class="float-option-detail">
			<b>{{ index +1 }} de {{ length }} páginas</b>
        </span>
		<span class="float-option-detail hidden-sm-down">{{ config.id }}</span>
        <div class="float-option-image"><img class="" :src="config.portrait"></div>
        <form class="form-material ">
            <div class="form-group row">
                <span class="float-option-detail-2">
                    <b><small data-toggle="tooltip" data-placement="top" title="" data-original-title="Toma en cuenta estos datos al guardar la imágen."> 
                        {{ _name }} 
                    </small></b>
                </span>
                <div class="col-sm-8">
                    <input type="name" class="form-control form-control-lg" id="input" placeholder="Título" v-model="value.title">
                </div>
                <div class="col-sm-12 mt-2">
                    <textarea class="form-control" id="exampleTextarea" placeholder="Descripción del contenedor" rows="4" v-model="value.body"></textarea>
                </div>
                <div class="col-sm-12">
                    <input type="name" class="form-control" id="input" placeholder="Id del video: Ejm. OwqwLDdjR8" v-model="value.video">
                </div>
                <div class="col-md-12" v-if="value.video.length == 11">
                    <a target="_blank" class="btn btn-success btn-lg b-a-0 waves-effect waves-light" :href="`https://www.youtube.com/embed/${value.video}`">ver video</a>
                </div>
				<div class="col-sm-12 mt-2">
                    <a class="note-content-icon" data-toggle="collapse" :href="`#${config.props.id}-${index}`" aria-expanded="false" :aria-controls="`${config.props.id}-${index}`">
                        <div class="note-content">
                            <h2>
                                <i class="ti-arrow-circle-down"></i> Mis apuntes
                            </h2>
                        </div>
                    </a>
                    <div class="collapse" :id="`${config.props.id}-${index}`">
                        <textarea class="form-control form-control" placeholder="Tus apuntes: Guiones, Audios, explicaciones de diseño etc." rows="5" v-model="value.notes"></textarea>
                    </div>
                </div>
            </div>
        </form>
    </div>
</template>

<script>

import { mapGetters } from 'vuex'
import { config } from './config'
export default {
    name: config.component,
	props: {
		...config.props,
		length: {
			type: Number,
		},
		index: {
			type: Number,
		},
		uploadableindex: {
			type: Number
		},
		uploadableindexin: {
			type: Number
		},
	},
	data(){
		return {
            config,
            showVideoPreview: false,
            vars : {showinfo: 0, autohide: 0, frameborder: 0, color: 'white', modestbranding: 0, rel : 0}
		}
    },
    computed: {
		...mapGetters(['courseBuilderInfo', 'tempSessionBuilderWeek']),
		_name(){
			let name = ''
				let week_index   = this.tempSessionBuilderWeek < 10 ? `0${this.tempSessionBuilderWeek + 1}` : this.tempSessionBuilderWeek + 1 
				let courseAcronym = this.courseBuilderInfo.name.slice(0, 3).toUpperCase();
				let media_index  = this.uploadableindex < 10 ? `0${this.uploadableindex + 1}` : this.uploadableindex + 1 
				name = `SEM-${week_index}-${courseAcronym}-${media_index}`
				this.value.imgName = name
			if(! this.isEditing){
				return name
			}
			else{
				return this.value.imgName == '' ? this.value.imgName : name
			}
		},
    }
}
</script>